import * as d3 from "d3";
export type IClusterDatum = {
    name: string;
    x?: number;
    y?: number;
    width?: number;
    height?: number;
};
export interface INodes {
    nodes: d3.Selection<SVGGElement, IClusterDatum, SVGSVGElement, unknown>;
    updateData(data: IClusterDatum[]): void;
    update(): void;
}
export declare function createClusters(paper: d3.Selection<SVGGElement, unknown, null, undefined>, events?: {
    onHover?: (node: IClusterDatum) => void;
    onBlur?: (node: IClusterDatum) => void;
    onDragStart?: (node: IClusterDatum) => void;
    onDrag?: (node: IClusterDatum) => void;
    onDragEnd?: (node: IClusterDatum) => void;
}): {
    readonly clusters: d3.Selection<SVGGElement, IClusterDatum, SVGGElement, unknown>;
    updateData(data: IClusterDatum[]): void;
    update(): void;
};
//# sourceMappingURL=createClusters.d.ts.map