import type { INodeDatum } from "./createNodes.js";
import type { ILinkDatum } from "./createLinks.js";
export declare function createDagreLayout(): {
    updateData(nodes: INodeDatum[], links: ILinkDatum[]): {
        getDemensions(): {
            width: number | undefined;
            height: number | undefined;
        };
        getClusters(): {
            x: number;
            y: number;
            width: number;
            height: number;
            class?: string | undefined;
            label?: string | undefined;
            padding?: number | undefined;
            paddingX?: number | undefined;
            paddingY?: number | undefined;
            rank?: number | undefined;
            rx?: number | undefined;
            ry?: number | undefined;
            shape?: string | undefined;
            name: string;
        }[];
        getNode(id: string): {
            x: number;
            y: number;
            width: number;
            height: number;
            class?: string | undefined;
            label?: string | undefined;
            padding?: number | undefined;
            paddingX?: number | undefined;
            paddingY?: number | undefined;
            rank?: number | undefined;
            rx?: number | undefined;
            ry?: number | undefined;
            shape?: string | undefined;
        };
        getEdge(source: string, target: string): import("@dagrejs/dagre").GraphEdge;
    };
};
//# sourceMappingURL=createDagreLayout.d.ts.map