import * as d3 from "d3";
import { createForceSimulation } from "./createForceSimulation.js";
export function createForceLayout({ onTick }) {
    const simulation = createForceSimulation().on("tick", () => onTick?.());
    return {
        updateData(nodes, links) {
            simulation
                .nodes(nodes)
                .force("link", d3
                .forceLink(links)
                .id((d) => d.data.id)
                .distance(50)
                .strength(0.4))
                .alpha(1)
                .restart()
                .tick();
        },
        start() {
            simulation.alphaTarget(0.3).restart();
        },
        stop() {
            simulation.alphaTarget(0);
        },
    };
}
//# sourceMappingURL=createForceLayout.js.map