import * as d3 from "d3";
import type { IDefs } from "./addDefs.js";
import { type INodeDatum } from "./createNodes.js";
import type { ILink } from "../IGraph.js";
export type ILinkDatum = {
    data: ILink;
    points: Array<{
        x: number;
        y: number;
    }>;
    source: INodeDatum;
    target: INodeDatum;
};
export declare function createLinks(paper: d3.Selection<SVGGElement, unknown, null, undefined>, defs: IDefs, events?: {
    onHover?: (link: ILinkDatum) => void;
    onBlur?: (link: ILinkDatum) => void;
}): {
    readonly links: d3.Selection<d3.BaseType, ILinkDatum, SVGGElement, unknown>;
    updateData(data: ILinkDatum[]): void;
    update(): void;
    highlight(source: INodeDatum): void;
    highlightLink(link: ILinkDatum): void;
    resetHighlight(): void;
};
//# sourceMappingURL=createLinks.d.ts.map