import * as d3 from "d3";
import type { INode } from "../IGraph.js";
export type INodeDatum = d3.SimulationNodeDatum & {
    data: INode;
};
export interface INodes {
    nodes: d3.Selection<SVGGElement, INodeDatum, SVGSVGElement, unknown>;
    updateData(data: INodeDatum[]): void;
    update(): void;
}
export declare function createNodes(paper: d3.Selection<SVGGElement, unknown, null, undefined>, events?: {
    onHover?: (node: INodeDatum) => void;
    onBlur?: (node: INodeDatum) => void;
    onDragStart?: (node: INodeDatum) => void;
    onDrag?: (node: INodeDatum) => void;
    onDragEnd?: (node: INodeDatum) => void;
}): {
    readonly nodes: d3.Selection<SVGGElement, INodeDatum, SVGGElement, unknown>;
    updateData(data: INodeDatum[]): void;
    update(): void;
};
//# sourceMappingURL=createNodes.d.ts.map