import { zoom, zoomIdentity } from "d3";
export function createPaper(svg) {
    const g = svg.append("g");
    // const { width, height } = svg.node()!.getBoundingClientRect();
    const zoomBehavior = zoom()
        .extent([
        [0, 0],
        [0, 0],
    ])
        .scaleExtent([0.1, 2])
        .on("zoom", zoomed)
        .filter((event) => {
        const svgFocused = document.activeElement === svg.node() || event.type !== "wheel";
        return svgFocused;
    });
    svg.call(zoomBehavior).attr("tabindex", 0);
    function zoomed({ transform }) {
        g.attr("transform", transform.toString());
    }
    return {
        get element() {
            return g;
        },
        center() {
            const { width, height } = svg.node().getBoundingClientRect();
            const x = width / 2;
            const y = height / 2;
            svg
                .transition()
                .call(zoomBehavior.transform, zoomIdentity.translate(x, y));
        },
        translate(x, y) {
            svg.call(zoomBehavior.translateTo, x, y);
        },
        zoom(scale) {
            svg.call(zoomBehavior.scaleTo, scale);
        },
    };
}
//# sourceMappingURL=createPaper.js.map